# Archived feature deprecations

This table lists announced feature deprecations that impacted sunset
Display \& Video 360 API or Structured Data File versions. It provides the initial effective
date and a description of the deprecation with recommended actions and links to
relevant documentation:

> [!NOTE]
> **Note:** Navigate to our [main announced deprecations page](https://developers.google.com/display-video/api/deprecations) for deprecations that impacted any live versions.

| Feature | Initial Effective Date | Description |
|---|---|---|
| YouTube Reach line items restrictions in SDF | March 24, 2025 | On March 24, 2025, Structured Data Files will require the use of more expansive ad formats when creating or updating line items. This means the following: - SDF [v6](https://developers.google.com/display-video/api/structured-data-file/v6/LineItem) and [v7](https://developers.google.com/display-video/api/structured-data-file/v7/LineItem) no longer support creating new Line Item file entries with a `Subtype` value "Reach". - New entries in SDF [Line Item](https://developers.google.com/display-video/api/structured-data-file/v8-1/LineItem) files with `Subtype` value "Reach" must use a "Responsive" value in the `TrueView Video Ad Formats` column. Existing entries with `Subtype` value "Reach" can't update their `TrueView Video Ad Formats` column value. - New entries in SDF [Line Item](https://developers.google.com/display-video/api/structured-data-file/v8-1/LineItem) files with `Subtype` value "Reach" requires population of the `TrueView Video Ad Inventory Control` column. |
| New `sdfdownloadtasks.create` partner/advertiser mismatch error | March 6, 2025 | On March 6, 2025, [`sdfdownloadtasks.create`](https://developers.google.com/display-video/api/reference/rest/v3/sdfdownloadtasks/create) requests that use a [parent entity filter](https://developers.google.com/display-video/api/reference/rest/v3/sdfdownloadtasks/create#ParentEntityFilter) to filter by advertisers that are not children of the set [`partnerId`](https://developers.google.com/display-video/api/reference/rest/v3/sdfdownloadtasks/create#body.request_body.FIELDS.partner_id) will start to return a `400` error. |
| Update to `firstAndThirdPartyAudiences.list` default page size | March 6, 2025 | On March 6, 2025, the default page size for [`firstAndThirdPartyAudiences.list`](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list) requests will be updated from 100 to 5000. To avoid an interruption of service, update your integration to set the [`pageSize`](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.QUERY_PARAMETERS.page_size) query parameter of your [`firstAndThirdPartyAudiences.list`](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list) requests to your preferred page size. |
| Optimized targeting for line items using fixed bidding | March 6, 2025 | On March 6, 2025: - Requests creating or updating [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems#LineItem) resources to set the [`BiddingStrategy`](https://developers.google.com/display-video/api/reference/rest/v3/BiddingStrategy) field [`fixedBid`](https://developers.google.com/display-video/api/reference/rest/v3/BiddingStrategy#FIELDS.fixed_bid) and the [`TargetingExpansionConfig`](https://developers.google.com/display-video/api/reference/rest/v3/TargetingExpansionConfig) field [`enableOptimizedTargeting`](https://developers.google.com/display-video/api/reference/rest/v3/TargetingExpansionConfig#FIELDS.enable_optimized_targeting) to true will return a `400` error. - Entries in [Line Item](https://developers.google.com/display-video/api/structured-data-file/v8/LineItem) Structured Data Files with the "Bid Strategy Type" column value of "Fixed" and the "Optimized Targeting" column value of "True" will fail to create or update on file upload. - Existing line items using fixed bidding will be updated to turn off optimized targeting. To avoid any interruption of service: - Update existing line item resources that use both fixed bidding and optimized targeting. - Verify that your integration is not setting a fixed bidding strategy and optimized targeting when creating or updating line item resources using Display \& Video 360 API or Structured Data Files. |
| Frequency cap period over 30 days | February 28, 2025 | On February 28, 2025: - Requests creating or updating [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems#LineItem), [`InsertionOrder`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.insertionOrders#InsertionOrder), and [`Campaign`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.campaigns#Campaign) resources to use a [`FrequencyCap`](https://developers.google.com/display-video/api/reference/rest/v3/FrequencyCap) object with either a [`timeUnit`](https://developers.google.com/display-video/api/reference/rest/v3/FrequencyCap#FIELDS.time_unit) field set to `TIME_UNIT_LIFETIME` or a [`timeUnit`](https://developers.google.com/display-video/api/reference/rest/v3/FrequencyCap#FIELDS.time_unit) field set to `TIME_UNIT_MONTH` and a [`timeUnitCount`](https://developers.google.com/display-video/api/reference/rest/v3/FrequencyCap#FIELDS.time_unit_count) field set to 2 will return a `400` error. - Entries in [Line Item](https://developers.google.com/display-video/api/structured-data-file/v8/LineItem), [Insertion Order](https://developers.google.com/display-video/api/structured-data-file/v8/InsertionOrder), and [Campaign](https://developers.google.com/display-video/api/structured-data-file/v8/Campaign) Structured Data Files with either the "Frequency Period" column value of "Lifetime" or the "Frequency Period" column value of "Months" and "Frequency Amount" column value of "2" will fail to create or update on file upload. - Existing campaigns, insertion orders, and line items will be updated to use a frequency cap period 30 days or less. To avoid any interruption of service: - Update existing campaign, insertion order, and line item resources that use a frequency cap period over 30 days to be 30 days or less. - Verify that your integration is not setting a frequency cap period over 30 days when creating or updating campaign, insertion order, or line item resources using Display \& Video 360 API or Structured Data Files. |
| Flight ASAP [`Pacing`](https://developers.google.com/display-video/api/reference/rest/v3/Pacing) for insertion orders | November 5, 2024 | On November 5, 2024, `PACING_TYPE_ASAP` will no longer be compatible with `PACING_PERIOD_FLIGHT` when setting the insertion order [`pacing`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.insertionOrders#InsertionOrder.FIELDS.pacing) field. The [`pacingType`](https://developers.google.com/display-video/api/reference/rest/v3/Pacing#FIELDS.pacing_type) for all existing insertion orders with this configuration will be updated to `PACING_TYPE_AHEAD`. To avoid any interruption of service, update the [`pacing`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.insertionOrders#InsertionOrder.FIELDS.pacing) of any existing insertion orders using `PACING_TYPE_ASAP` and `PACING_PERIOD_FLIGHT`. |
| Line item optimized targeting for a subset of bid strategies | September 30, 2024 | On September 30, 2024, [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems#LineItem) resources using a subset of bid strategies will no longer be compatible with optimized targeting. With this change, [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems#LineItem) resources with [`targetingExpansion.enableOptimizedTargeting`](https://developers.google.com/display-video/api/reference/rest/v3/TargetingExpansionConfig#FIELDS.enable_optimized_targeting) set to `True` and [`bidStrategy.maximizeSpendAutoBid.performanceGoalType`](https://developers.google.com/display-video/api/reference/rest/v3/BiddingStrategy#MaximizeSpendBidStrategy.FIELDS.performance_goal_type) set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CIVA`, `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_IVO_TEN`, or `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_AV_VIEWED` or [`bidStrategy.performanceGoalAutoBid.performanceGoalType`](https://developers.google.com/display-video/api/reference/rest/v3/BiddingStrategy#PerformanceGoalBidStrategy.FIELDS.performance_goal_type) set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM` will be updated to set [`targetingExpansion.enableOptimizedTargeting`](https://developers.google.com/display-video/api/reference/rest/v3/TargetingExpansionConfig#FIELDS.enable_optimized_targeting) to `False`. To avoid any interruption of service, update and verify that your line items using these bid strategies don't have optimized targeting turned on. |
| Oracle first- and third-party audiences | September 30, 2024 | On September 30, 2024, [`FirstAndThirdPartyAudience`](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences) resources sources from Oracle will sunset. Upon sunset, these audiences will be removed from any existing resource targeting and combined audience. If a line item either only targets sunset audiences or negatively targets any sunset audiences, this update will automatically pause that line item. To avoid any interruption of service, identify and remove any Oracle audiences from existing line item audience targeting and combined audiences before the sunset date. |
| Content targeting for YouTube \& Partners line items | September 30, 2024 | On September 30, 2024, the following values for the identified targeting types will sunset for YouTube \& Partners line items: - [`TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.DigitalContentLabelAssignedTargetingOptionDetails): - `CONTENT_RATING_TIER_UNRATED` - `CONTENT_RATING_TIER_GENERAL` - `CONTENT_RATING_TIER_PARENTAL_GUIDANCE` - `CONTENT_RATING_TIER_TEENS` - `CONTENT_RATING_TIER_MATURE` - `CONTENT_RATING_TIER_FAMILIES` - [`TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.adGroups.targetingTypes.assignedTargetingOptions#sensitivecategoryassignedtargetingoptiondetails): - `SENSITIVE_CATEGORY_EMBEDDED_VIDEO` - `SENSITIVE_CATEGORY_LIVE_STREAMING_VIDEO` Sunset targeting options will automatically be removed from existing line item targeting. These values will still be available for use in advertiser-level targeting. To avoid any interruption of service, remove this targeting from any existing YouTube \& Partners line items before the sunset date. |
| [`publisherReviewStatuses`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives#ReviewStatusInfo.FIELDS.publisher_review_statuses) field in creative resources | June 26, 2024 | Starting on June 26, 2024, the [`publisherReviewStatuses`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives#ReviewStatusInfo.FIELDS.publisher_review_statuses) field will sunset and will be empty when retrieving [`Creative`](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.creatives#Creative) resources. |
| Outcome based buying | August 1, 2023 | On August 1, 2023, insertion orders using outcome based buying, defined by a [`billableOutcome`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders#InsertionOrder.FIELDS.billable_outcome) field value of `BILLABLE_OUTCOME_PAY_PER_CLICK` or `BILLABLE_OUTCOME_PAY_PER_VIEWABLE_IMPRESSION`, and their child line items will be archived. This change will affect the following requests: - Attempting to use [`advertisers.insertionOrders.create`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/create) to create an insertion order using outcome based buying will return a `400` error - Attempting to use [`advertisers.lineItems.create`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/create), [`advertisers.lineItems.duplicate`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/duplicate), or [`advertisers.lineItems.generateDefault`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/generateDefault) to create a line item under an insertion order using outcome based buying will return a `400` error - Given that archived resources are not included in `LIST` requests by default, impacted resources will no longer be returned by [`advertisers.insertionOrders.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/list) and [`advertisers.lineItems.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/list) methods by default. |
| Ability to filter [`advertisers.lineItems.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/list#body.QUERY_PARAMETERS.filter) requests by four additional fields | June 21, 2023 | On June 21, 2023, [`advertisers.lineItems.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/list#body.QUERY_PARAMETERS.filter) will no longer support filtering by the following fields: - `flight.triggerId` - `targetedChannelId` - `targetedNegativeKeywordListId` - [`warningMessages`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems#LineItem.FIELDS.warning_messages) Remove all filter logic using these four fields before June 21, 2023 to avoid an interruption of service. |
| Ability to filter or order list requests by [`budget.budget_segments.date_range.end_date`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders#InsertionOrder.FIELDS.budget) and [`flight.dateRange.endDate`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems#LineItem.FIELDS.flight) fields Initial Effective Date updated | June 21, 2023 | On June 21, 2023, [`budget.budget_segments.date_range.end_date`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders#InsertionOrder.FIELDS.budget) and [`flight.dateRange.endDate`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems#LineItem.FIELDS.flight) will no longer be accepted fields in [`advertisers.insertionOrders.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.insertionOrders/list#body.QUERY_PARAMETERS.filter) and [`advertisers.lineItems.list`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/list#body.QUERY_PARAMETERS.filter) `filter` and `orderBy` query parameters, respectively. After this date, requests using these fields in the `filter` and `orderBy` query parameters will return an error. Remove all filter and order logic using these two fields before June 21, 2023 to avoid an interruption of service. |
| `OR` operator usage between restrictions of different fields in `LIST` filters <br /> > [!NOTE] > **Initial Effective Date updated** <br /> | June 21, 2023 | On June 21, 2023, `LIST` request `filter` parameters will no longer allow `OR` logical operators to be used between restrictions of different fields. For example, resources identified with filter string `lineItemType="LINE_ITEM_TYPE_DISPLAY_DEFAULT" OR insertionOrderId="123"` must instead be retrieved using two `LIST` requests with the following filter strings: - `lineItemType="LINE_ITEM_TYPE_DISPLAY_DEFAULT"` - `insertionOrderId="123"` Reference our [how-to guide on filtering `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) for more details on the restrictions of logical operators. Review the `filter` query parameters of all your existing `LIST` calls and verify that they are using the OR logical operator correctly before June 21, 2023 to avoid an interruption of service. |
| Existing API Quota Limits | May 30, 2023 | On May 30, 2023, existing usage limits will be replaced with a hybrid quota structure that does the following: 1. Eliminates the requests per day per project quota. 2. Institutes a requests per minute per advertiser per project quota for qualifying methods. These new limits will allow greater flexibility in API usage and enable parallelization of requests across advertisers. Details of this change are in our [existing quota limit documentation](https://developers.google.com/display-video/api/limits#per_advertiser_limits). |
| Activity Based and Frequency Cap [`FirstAndThirdPartyAudience`](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience) Types | May 20, 2023 | Timeline: - May 20, 2023: You will no longer be able to assign [`FirstAndThirdPartyAudience`](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience) resources with a [`AudienceType`](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences#AudienceType) of `ACTIVITY_BASED` or `FREQUENCY_CAP` to line item or insertion order audience targeting. Requests assigning these audiences to a line item's audience targeting will return an error. This includes [`advertisers.lineItems.duplicate`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/duplicate) and [`advertisers.lineItems.generateDefault`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/generateDefault) requests, if the created line item would include deprecated audiences in its audience targeting. - June 8, 2023: Impacted audiences will be removed from all line item and insertion order targeting and from all combined audiences. If a line item is not able to serve ads when these audiences are removed, they will be paused. On this date, these audiences will also no longer be retrievable using the [`firstAndThirdPartyAudiences`](https://developers.google.com/display-video/api/reference/rest/v2/firstAndThirdPartyAudiences) service. Recommended Tasks: - We recommend that you immediately stop using impacted audiences when making future updates to your line item targeting. - Remove all impacted audiences from existing line item and insertion order targeting. Read about updating audience targeting in our [Target Audiences guide](https://developers.google.com/display-video/api/guides/audiences/targeting#update_audience_group_targeting). |
| Installed App and New Mobile Devices [`GoogleAudience`](https://developers.google.com/display-video/api/reference/rest/v2/googleAudiences#GoogleAudience) Types | May 20, 2023 | Timeline: - May 20, 2023: You will no longer be able to assign [`GoogleAudience`](https://developers.google.com/display-video/api/reference/rest/v2/googleAudiences#GoogleAudience) resources with a [`GoogleAudienceType`](https://developers.google.com/display-video/api/reference/rest/v2/googleAudiences#GoogleAudienceType) of `GOOGLE_AUDIENCE_TYPE_INSTALLED_APPS` or `GOOGLE_AUDIENCE_TYPE_NEW_MOBILE_DEVICES` to line item or insertion order audience targeting. Requests assigning these audiences to a line item's audience targeting will return an error. This includes [`advertisers.lineItems.duplicate`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/duplicate) and [`advertisers.lineItems.generateDefault`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.lineItems/generateDefault) requests, if the created line item would include deprecated audiences in its audience targeting. - June 8, 2023: Impacted audiences will be removed from all line item and insertion order targeting and from all combined audiences. If a line item is not able to serve ads when these audiences are removed, they will be paused. On this date, these audiences will also no longer be retrievable using the [`googleAudiences`](https://developers.google.com/display-video/api/reference/rest/v2/googleAudiences) service. Recommended Tasks: - We recommend that you immediately stop using impacted audiences when making future updates to your line item targeting. - Remove all impacted audiences from existing line item and insertion order targeting. Read about updating audience targeting in our [Target Audiences guide](https://developers.google.com/display-video/api/guides/audiences/targeting#update_audience_group_targeting). |
| Manual Triggers | May 17, 2023 | Timeline: - May 17, 2023: Line items using manual triggers will stop serving in Display \& Video 360. If you activate a manual trigger linked to an active line item after this date, the line item won't serve ads. - August 1, 2023: [`advertisers.manualTriggers`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers) service in DV360 API v1 and v2, [`LINE_ITEM_FLIGHT_DATE_TYPE_TRIGGER`](https://developers.google.com/display-video/api/reference/rest/v1/advertisers.lineItems#LineItemFlightDateType.ENUM_VALUES.LINE_ITEM_FLIGHT_DATE_TYPE_TRIGGER) enum value in DV360 API v1, and the [`LineItemFlight.triggerId`](https://developers.google.com/display-video/api/reference/rest/v1/advertisers.lineItems#LineItemFlight.FIELDS.trigger_id) field in DV360 API v1 will sunset. After this date, requests made to these services or to these fields will return an error. Recommended actions: - Immediately stop using manual triggers to start and stop line item serving. - Stop making requests to the [`advertisers.manualTriggers`](https://developers.google.com/display-video/api/reference/rest/v2/advertisers.manualTriggers) service. - Update the [`flight.flightDateType`](https://developers.google.com/display-video/api/reference/rest/v1/advertisers.lineItems#LineItemFlight.FIELDS.flight_date_type) and [`flight.triggerId`](https://developers.google.com/display-video/api/reference/rest/v1/advertisers.lineItems#LineItemFlight.FIELDS.trigger_id) fields for all line items using manual triggers. |
| Targeting Expansion | March 25, 2023 | Replacement of the [targeting expansion](https://support.google.com/displayvideo/answer/10191558) feature with [optimized targeting](https://support.google.com/displayvideo/answer/12060859), rolled out gradually from March 25, 2023 to early May 2023. Relevant changes to Display \& Video 360 API and Structured Data Files behavior as well as recommended actions were announced in a [blog post](https://ads-developers.googleblog.com/2023/03/rescheduled-changes-to-targeting.html). |